Tag: build.gradle

DELETE_FAILED_INTERNAL_ERROR Error al instalar APK

Estoy utilizando Android Studio 2.2 Preview. Estoy enfrentando el problema Error: Instalar fallido invalid apk Error: Durante la instalación de apk, He hecho cambios en build.gradle pero no podría retrack él, por favor me sugieren la solución ??? Gracias por adelantado

Conflicto con dependencia 'com.android.support:support-annotations'. Las versiones resueltas para la aplicación (23.1.0) y la aplicación de prueba (23.0.1) difieren

Cuando construyo consigo el error siguiente: Conflict with dependency 'com.android.support:support-annotations'. Resolved versions for app (23.1.0) and test app (23.0.1) differ. Estas son mis dependencias gradle dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') compile 'com.android.support:support-v4:23.1.0' compile 'com.android.support:appcompat-v7:23.1.0' compile 'com.android.support:design:23.1.0' compile 'com.android.support:cardview-v7:23.1.0' compile 'com.android.support:recyclerview-v7:23.1.0' compile 'com.squareup.retrofit:retrofit:1.9.0' compile 'com.squareup.okhttp:okhttp:2.4.0' compile 'com.squareup.picasso:picasso:2.5.2' compile 'com.jakewharton:butterknife:7.0.1' compile 'com.squareup:otto:1.3.8' compile 'com.snappydb:snappydb-lib:0.5.2' compile […]

Gradle Build Android Project Error "No se pudo resolver todas las dependencias"

Estoy tratando de construir mi primer proyecto con Gradle y creo que mis archivos gradle y configuración son correctas. Estoy utilizando sólo un módulo y soporte V4 + AppCompatBar librerías. Proyecto – build.gradle allprojects { repositories { mavenCentral() } } Proyecto – settings.gradle include ':AssignmentTempos21' Módulo principal – build.gradle buildscript { repositories { mavenCentral() } […]

Excepción al hacer copia de seguridad de iteración anterior: Origen

Estoy trabajando en el proyecto de Android. Conecté mi teléfono a Android Studio para probar la aplicación. Después de la segunda carga Gradle Build falló y le dio este error: Error: Error de ejecución para la tarea ': app: buildInfoDebugLoader'. Excepción al realizar la copia de seguridad de iteración anterior: Source /home/ziyaddin/AndroidStudioProjects/Test/app/build/intermediates/builds/debug/19181584762318/classes.dex y destino / […]

¿Por qué hay dos archivos build.gradle en un proyecto de Android Studio?

Después de importar un proyecto de Eclipse en Android Studio, veo dos archivos build.gradle : 1 – <PROJECT_ROOT>\build.gradle 2 – <PROJECT_ROOT>\app\build.gradle La primera versión es más corta, la segunda versión contiene definiciones para compileSdkVersion , etc. ¿Cuál es el propósito detrás de tener dos archivos separados? ¿Hay tareas de compilación separadas?

Gradle versión 1.10 es necesario. La versión actual es 2.0

Estoy intentando utilizar la última versión de Gradle (2.0), sin embargo sigo recibiendo este mensaje cuando golpeo la construcción del gradle en terminal. ¿Por qué está pidiendo la versión 1.10? Soy nuevo en Gradle, así que estoy tratando de conseguir mi cabeza alrededor de él. Gradle versión 1.10 es necesario. La versión actual es 2.0 […]

¿Qué hace transitive = true en Gradle exactamente hacer (wrt crashlytics)?

¿Qué hace Gradle transitive = true hacer exactamente? No está claro en la documentación de Gradle . Esto es en el contexto de compile dentro de build.gradle . En mi caso estoy dependiendo de los crashlíticos de Android. compile('com.crashlytics.sdk.android:crashlytics:2.2.2@aar') { transitive = true; } Varios documentos de Gradle ( aquí y aquí ) implican que […]

¿Cómo agregar Apache HTTP API (legacy) como dependencia de compilación a build.grade para Android M?

Como se mencionó aquí , Android M no admite la API HTTP de Apache. Los documentos indican lo siguiente: Utilice la clase HttpURLConnection en su lugar. o Para continuar utilizando las API HTTP de Apache, primero debe declarar la siguiente dependencia de compilación en su archivo build.gradle: Android {useLibrary 'org.apache.http.legacy'} He convertido mucho del uso […]

Gradle: Error de ejecución para la tarea ': processDebugManifest'

Estoy recibiendo un error gradle en la construcción desde ayer – que sólo llegó al azar …. Full stacktrace aquí: Mi proyecto depende de múltiples bibliotecas y se construyó sin ningún problema hasta ayer (incluso con las bibliotecas) compile 'com.google.android.gms:play-services:3.1.36' compile 'com.android.support:support-v4:13.0.0' compile project(":libs:DatabaseCreationHelper") compile project(":libs:actionbarsherlock") ¿Alguien tiene una idea de cómo arreglarlo? Que acaba […]

Android Studio Gradle: Error: Error de ejecución para la tarea ': app: processDebugGoogleServices'. > No se encontró ningún cliente coincidente para el paquete

Estoy intentando actualizar mis dependencias de servicios de Google Play a 8.4.0 siguiendo el ejemplo que Google da aquí , pero estoy recibiendo el siguiente error ('com.example.exampleapp' es un reemplazo para el nombre del paquete de mi app): Error:Execution failed for task ':app:processDebugGoogleServices'. > No matching client found for package name 'com.example.exampleapp' Proyecto build.gradle: buildscript […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.